{{

 Delayed logistic map

}}
CON
   
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

OBJ

  fM: "Float32Full"
  lcd : "Nokia6100"
    
var

   long a,x,y,z,oldx,oldy,xn,yn                    
      
PUB main

  lcd.start(4, 5, 6, 7, lcd#EPSON)
  lcd.background(lcd#BLACK)  
  lcd.color(lcd#WHITE)
  lcd.clear

  fM.start

   a := 2.27
   x := 0.001                                  
   y := 0.001

   repeat

      oldx := x
      oldy := y
                                     
      x := fM.FMul(fM.FMul(a,oldx),fM.FSub(1.0,oldy)) ' x = a*x*(1-y)
      y := oldx                                       ' y = x
      
      xn := fM.FTrunc(fM.FMul(x,10000.0))
      yn := fM.FTrunc(fM.FMul(y,10000.0))
      
      lcd.plot(10+(xn/90),5+(yn/85))
             
     